javax.xml.xpath

## Class XPathFactoryConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.xpath.XPathException
      - - javax.xml.xpath.XPathFactoryConfigurationException

- All Implemented Interfaces:
    Serializable

      public class XPathFactoryConfigurationException
      extends XPathException

  `XPathFactoryConfigurationException` represents a configuration error in a `XPathFactory` environment.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathFactoryConfigurationException(String message)` Constructs a new `XPathFactoryConfigurationException` with the specified detail `message`.
    `XPathFactoryConfigurationException(Throwable cause)` Constructs a new `XPathFactoryConfigurationException` with the specified `cause`.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.xpath.XPathException

      `getCause, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathFactoryConfigurationException

          public XPathFactoryConfigurationException(String message)

      Constructs a new `XPathFactoryConfigurationException` with the specified detail `message`.

      The `cause` is not initialized.

      If `message` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `message` - The detail message.
      Throws:
        `NullPointerException` - When `message` is `null`.

    - #### XPathFactoryConfigurationException

          public XPathFactoryConfigurationException(Throwable cause)

      Constructs a new `XPathFactoryConfigurationException` with the specified `cause`.

      If `cause` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `cause` - The cause.
      Throws:
        `NullPointerException` - if `cause` is `null`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.